/*******************************************************************************
 * SoundNodeDistanceCrossFade generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SoundNodeDistanceCrossFade extends SoundNode
    native(Sound)
    editinlinenew
    hidecategories(Object,Object);

struct native DistanceDatum
{
    var() float FadeInDistanceStart;
    var() float FadeInDistanceEnd;
    var() float FadeOutDistanceStart;
    var() float FadeOutDistanceEnd;
    var() float Volume;
    var deprecated RawDistributionFloat FadeInDistance;
    var deprecated RawDistributionFloat FadeOutDistance;

    structdefaultproperties
    {
        FadeInDistanceStart=0.0
        FadeInDistanceEnd=0.0
        FadeOutDistanceStart=0.0
        FadeOutDistanceEnd=0.0
        Volume=1.0
    }
};

var() editfixedsize export array<export DistanceDatum> CrossFadeInput;
